
CFLAGS = -Wall -c
HEADERS = dipcd.h funcs.h

objects = referee.o back_end.o employer.o worker.o shm_man.o\
front_end.o support.o dipc.o

dipcd: $(objects)
	cc -o dipcd $(objects)

referee.o: referee.c $(HEADERS)
	cc $(CFLAGS) referee.c
back_end.o: back_end.c $(HEADERS)
	cc $(CFLAGS) back_end.c
employer.o: employer.c $(HEADERS)
	cc $(CFLAGS) employer.c
worker.o: worker.c $(HEADERS)
	cc $(CFLAGS) worker.c
shm_man.o: shm_man.c $(HEADERS)
	cc $(CFLAGS) shm_man.c
front_end.o: front_end.c $(HEADERS)
	cc $(CFLAGS) front_end.c
support.o: support.c $(HEADERS)
	cc $(CFLAGS) support.c
dipc.o: dipc.c
	cc $(CFLAGS) dipc.c

clean:
	rm dipcd $(objects)
